<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://doc.hyperf.io
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */
namespace Zyimm\MmdsOss;

class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'dependencies' => [
            ],
            'publish' => [
                [
                    'id' => 'MmdsOss',
                    'description' => 'The config for oss.',
                    'source' => __DIR__ . '/../publish/mmds_oss.php',
                    'destination' => BASE_PATH . '/config/autoload/mmds_oss.php',
                ],
            ],
            'commands' => [
            ],
            'annotations' => [
                'scan' => [
                    'paths' => [
                        __DIR__,
                    ],
                ],
            ],
        ];
    }
}
